#include <bits/stdc++.h>

using namespace std;

int maaaaast[2000001];

int sifra(int a){
    if(a == 0)
        return 0;
    if(a > 0)
        return 1000000 + a;
    return a * -1;
}

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    int n, k;
    cin >> n >> k;
    set<int> brojevi;
    for(int i = 0; i < n; i++){
        int l;
        cin >> l;
        brojevi.insert(l);
        maaaaast[sifra(l)]++;
    }
    int rez = 0;
    vector<int> resenje;
    for(auto autizam : brojevi){
        if(maaaaast[sifra(autizam)] >= k){
            rez++;
            resenje.push_back(autizam);
        }
    }
    cout << rez << "\n";
    for(int i = 0; i < rez; i++){
        cout << resenje[i] << " ";
    }
    return 0;
}